Source: gr-satnogs
Section: science
Priority: optional
Maintainer: SatNOGS project <dev@satnogs.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0~),
               dh-python,
               doxygen,
               git,
               gnuradio-dev (>= 3.8), gnuradio-dev (<< 3.9),
               libboost-date-time-dev,
               libboost-dev,
               libboost-filesystem-dev,
               libboost-program-options-dev,
               libboost-regex-dev,
               libboost-system-dev,
               libboost-test-dev,
               libboost-thread-dev,
               libjsoncpp-dev,
               liborc-0.4-dev,
               libpng++-dev,
               libvorbis-dev,
               pkg-config,
               python3-dev,
               python3-six,
               swig
Standards-Version: 4.1.0
Homepage: https://gitlab.com/librespacefoundation/satnogs/gr-satnogs
Vcs-Git: https://gitlab.com/librespacefoundation/satnogs/gr-satnogs.git
Vcs-Browser: https://gitlab.com/librespacefoundation/satnogs/gr-satnogs

Package: gr-satnogs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libgnuradio-satnogs (= ${binary:Version}),
         python3,
         ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: gnuradio (>= 3.8), gnuradio (<< 3.9)
Description: SatNOGS GNU Radio Out-Of-Tree Module
 gr-satnogs is an out-of-tree GNU Radio module that provides all the necessary
 tools for decoding signals from various scientific and academic sattelites.

Package: libgnuradio-satnogs
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: SatNOGS GNU Radio Out-Of-Tree Module
 gr-satnogs is an out-of-tree GNU Radio module that provides all the necessary
 tools for decoding signals from various scientific and academic sattelites.
 .
 This package contains the shared library.
